<?php


include_once( $dir . 'inc/meta_box.php' );

function mt_servicessettings_admin_menu_setup(){
add_submenu_page(
 'edit.php?post_type=service',
 __('Service Slug Option', 'mtservices'), 
 __('Service Slug Option', 'mtservices'),
 'manage_options',
 'mt_servicessettings',
 'mt_servicessettings_admin_page_screen'
 );
}
add_action('admin_menu', 'mt_servicessettings_admin_menu_setup'); //menu setup

/* display page content */
function mt_servicessettings_admin_page_screen() {
 global $submenu;
// access page settings 
 $page_data = array();
 foreach($submenu['options-general.php'] as $i => $menu_item) {
 if($submenu['options-general.php'][$i][2] == 'mt_servicessettings')
 $page_data = $submenu['options-general.php'][$i];
 }

// output 
?>
<div class="wrap">
<style>
#mt_servicessettings_options .form-table th {
display: none;
}
#mt_servicessettings_options label {
    cursor: pointer;
    display: block;
    float: left;
    width: 25%;
}
</style>


<?php screen_icon();?>
<h2><?php _e('Services Settings', 'mtservices');?></h2>
<form id="mt_servicessettings_options" action="options.php" method="post">
<?php
settings_fields('mt_servicessettings_options');
do_settings_sections('mt_servicessettings'); 
submit_button('Save options', 'primary', 'mt_servicessettings_options_submit');
?>
 </form>
</div>
<?php
}


function mt_servicessettings_settings_init(){

register_setting(
 'mt_servicessettings_options',
 'mt_servicessettings_options',
 'mt_servicessettings_options_validate'
 );

add_settings_section(
 'mt_servicessettings_mtservicesslugbox',
 '', 
 'mt_servicessettings_mtservicesslugbox_desc',
 'mt_servicessettings'
 );

add_settings_field(
 'mt_servicessettings_mtservicesslugbox_template',
 '', 
 'mt_servicessettings_mtservicesslugbox_field',
 'mt_servicessettings',
 'mt_servicessettings_mtservicesslugbox'
 );
    
add_settings_field(
 'mt_servicessettings_mtservicesslugbox_template2',
 '', 
 'mt_servicessettings_mtservicesslugbox_field2',
 'mt_servicessettings',
 'mt_servicessettings_mtservicesslugbox2'
 );
    
}

add_action('admin_init', 'mt_servicessettings_settings_init');

/* validate input */
function mt_servicessettings_options_validate($input){
 global $allowedposttags, $allowedrichhtml;
if(isset($input['mtservicesslugbox_template']))
 $input['mtservicesslugbox_template'] = wp_kses_post($input['mtservicesslugbox_template']);
 $input['mtservicesslugbox_template2'] = wp_kses_post($input['mtservicesslugbox_template2']);
return $input;
}

/* description text */
function mt_servicessettings_mtservicesslugbox_desc(){
_e('The default slug name is service. You can enter in any name for service slug in the field below.', 'mtservices');
}

/* filed output */
function mt_servicessettings_mtservicesslugbox_field() { 
 $options = get_option('mt_servicessettings_options');
 $mtservicesslugbox = (isset($options['mtservicesslugbox_template'])) ? $options['mtservicesslugbox_template'] : '';
 $mtservicesslugbox = strip_tags($mtservicesslugbox); //sanitise output
 $mtservicesslugbox2 = (isset($options['mtservicesslugbox_template2'])) ? $options['mtservicesslugbox_template2'] : '';
 $mtservicesslugbox2 = strip_tags($mtservicesslugbox2); //sanitise output
?>
<p>
    <label><?php _e('Service Single Slug Name', 'mtservices');?></label>
 <input type="text" id="mtservicesslugbox_template" name="mt_servicessettings_options[mtservicesslugbox_template]" value="<?php echo $mtservicesslugbox; ?>" /></p>

<?php
}


// Hook into the 'init' action
add_action('init', 'create_mt_services_post');


/**
 * Services Post Type.
 */
function create_mt_services_post() { 

	$options = get_option('mt_servicessettings_options');
	$mtservicesslugbox = (isset($options['mtservicesslugbox_template'])) ? $options['mtservicesslugbox_template'] : '';
 	$mtservicesslugbox = strip_tags($mtservicesslugbox); //sanitise output	

	$labels = array(
		'name'                => _x( 'Services', 'Post Type General Name', 'mtservices' ),
		'singular_name'       => _x( 'Service', 'Post Type Singular Name', 'mtservices' ),
		'menu_name'           => __( 'Services', 'mtservices' ),
		'parent_item_colon'   => __( 'Parent Item:', 'mtservices' ),
		'all_items'           => __( 'All Services', 'mtservices' ),
		'view_item'           => __( 'View Services', 'mtservices' ),
		'add_new_item'        => __( 'Add New Service', 'mtservices' ),
		'add_new'             => __( 'Add New', 'mtservices' ),
		'edit_item'           => __( 'Edit Service', 'mtservices' ),
		'update_item'         => __( 'Update Service', 'mtservices' ),
		'search_items'        => __( 'Search Services', 'mtservices' ),
		'not_found'           => __( 'Not found', 'mtservices' ),
		'not_found_in_trash'  => __( 'Not found in Trash', 'mtservices' ),
	);
	$args = array(
		'label'               => __( 'services', 'mtservices' ),
		'description'         => __( 'Add services to your website.', 'mtservices' ), 
		'labels'              => $labels,
		'supports' 			  => array('title','editor'),
		'taxonomies'          => array( 'category' ), 
		'hierarchical'        => false,
		'menu_icon' 		  => 'dashicons-businessman',
		'rewrite' => array('slug' => $mtservicesslugbox),  
		'public'              => true,
		'show_ui'             => true,
		'show_in_menu'        => true, 
		'show_in_nav_menus'   => true,
		'show_in_admin_bar'   => true,
		'menu_position'       => 44,
		'can_export'          => true,
		'has_archive'         => true,
		'exclude_from_search' => true,
		'publicly_queryable'  => true,
		'capability_type'     => 'post',
	);
	register_post_type( 'service', $args );

}


$servicesfields = array(
	array(
            'label' => __('Icon', 'mtservices'),
            'desc' => __('Example: map-marker<br />Go to <a href="http://fontawesome.io/icons/" target="_blank">http://fontawesome.io/icons</a> for a complete list.', 'mtservices'), 
            'id' => 'mt_services_icon', 
            'type' => 'text', 
            'std' => ""
        ),
	
);


/**
 * Instantiate the class with all variables to create a meta box
 * var $id string meta box id
 * var $title string title
 * var $fields array fields
 * var $page string|array post type to add meta box to
 * var $js bool including javascript or not
 */

$mt_services_box = new mt_services_Add_Meta_Box( 'mt_services_box', __('Services Info', 'mtservices'), $servicesfields, 'service', true ); 