<?php

function mt_services_shortcode( $atts ) {
	
	// Attributes
	extract( shortcode_atts(
		array(
			'number' => '-1',
			'category' => '',
			'columns' => '3',
		), $atts )
	);

	// Creating custom query to fetch the project type custom post.
    $scservices = new WP_Query( 
		array(
			'post_type' => 'service',  
			'posts_per_page' => $number, 
			'category_name' => $category
			)
		);
	
	// Looping through the posts and building the HTML structure.
    if($scservices)	{ 
		
		$output .= '<section id="mt-services"><div class="grid grid-pad">';
		
        while ( $scservices->have_posts() ) 
		{
			
            $scservices->the_post();
			
			$post_meta_icon = get_post_meta( get_the_ID(), 'mt_services_icon', TRUE );
             
			$output .= '<div class="col-1-' . $columns . ' mt-column-clear"><div class="service-content">';
			$output .= '<i class="fa fa-'. esc_html( $post_meta_icon ) . '"></i>';
            $output .= '<h5>'.get_the_title().'</h5>';
            $output .= '<p>'.get_the_content().'</p>'; 
            $output .= '</div></div>';
			
        }
		
		$output .= '</div></section>'; 
		
    }
	
    else
        $output = __( 'Sorry, no services yet!', 'mtservices' );     
	
	
	wp_reset_postdata();
	
	     
    return $output; 
}


add_shortcode( 'services', 'mt_services_shortcode' );

?>