<?php



class mt_services extends WP_Widget {



// constructor

    function mt_services() {

		$widget_ops = array('classname' => 'mt_services_widget', 'description' => __( 'Have a lot of Services? Show them to the world.', 'mtservices') );

        parent::__construct(false, $name = __('MT - Services', 'mtservices'), $widget_ops);  

		$this->alt_option_name = 'mt_services_widget';

		

		add_action( 'save_post', array($this, 'flush_widget_cache') );

		add_action( 'deleted_post', array($this, 'flush_widget_cache') );

		add_action( 'switch_theme', array($this, 'flush_widget_cache') );	

    }

	

	
	// widget form creation

	function form($instance) { 



	// Check values

		$title     		= isset( $instance['title'] ) ? wp_kses_post( $instance['title'] ) : '';

		$number    		= isset( $instance['number'] ) ? intval( $instance['number'] ) : -1;
		
		$category    	= isset( $instance['category'] ) ? esc_html( $instance['category'] ) : '';
		
		$columnset    	= isset( $instance['columnset'] ) ? intval( $instance['columnset'] ) : 3;

		$see_all   		= isset( $instance['see_all'] ) ? esc_url_raw( $instance['see_all'] ) : '';

		$see_all_text  	= isset( $instance['see_all_text'] ) ? esc_html( $instance['see_all_text'] ) : '';			

	?>


	<p><?php _e('In order to display this widget, you must first add some Services custom post types.', 'mtservices'); ?></p> 


	<p> 
    
	<label for="<?php echo $this->get_field_id('title'); ?>"><?php _e('Title', 'mtservices'); ?></label>

	<input class="widefat" id="<?php echo $this->get_field_id('title'); ?>" name="<?php echo $this->get_field_name('title'); ?>" type="text" value="<?php echo wp_kses_post( $title ); ?>" />

	</p>	

	<p><label for="<?php echo $this->get_field_id( 'number' ); ?>"><?php _e( 'Number of services to show (-1 shows all):', 'mtservices' ); ?></label>

	<input id="<?php echo $this->get_field_id( 'number' ); ?>" name="<?php echo $this->get_field_name( 'number' ); ?>" type="text" value="<?php echo intval( $number ); ?>" size="3" /></p>
    
     <p><label for="<?php echo $this->get_field_id( 'category' ); ?>"><?php _e( 'Category:', 'mtservices' ); ?></label>

	<input class="widefat" id="<?php echo $this->get_field_id( 'category' ); ?>" name="<?php echo $this->get_field_name( 'category' ); ?>" type="text" value="<?php echo $category; ?>" size="3" /></p>
    
    <p><label for="<?php echo $this->get_field_id( 'columnset' ); ?>"><?php _e( 'Number of columns:', 'mtservices' ); ?></label> 

	<input id="<?php echo $this->get_field_id( 'columnset' ); ?>" name="<?php echo $this->get_field_name( 'columnset' ); ?>" type="text" value="<?php echo intval( $columnset ); ?>" size="3" /></p>
    

    <p><label for="<?php echo $this->get_field_id('see_all'); ?>"><?php _e('Enter the URL for your Services page:', 'mtservices'); ?></label>

	<input class="widefat custom_media_url" id="<?php echo $this->get_field_id( 'see_all' ); ?>" name="<?php echo $this->get_field_name( 'see_all' ); ?>" type="text" value="<?php echo esc_url_raw( $see_all ); ?>" size="3" /></p>	

    <p><label for="<?php echo $this->get_field_id('see_all_text'); ?>"><?php _e('Button Text (Default is set to <em>See All</em>):', 'mtservices'); ?></label>

	<input class="widefat" id="<?php echo $this->get_field_id( 'see_all_text' ); ?>" name="<?php echo $this->get_field_name( 'see_all_text' ); ?>" type="text" value="<?php echo esc_html( $see_all_text ); ?>" size="3" /></p>

	

	<?php

	}



	// update widget

	function update($new_instance, $old_instance) {

		$instance = $old_instance;

		$instance['title'] 			= wp_kses_post($new_instance['title']);

		$instance['number'] 		= intval($new_instance['number']); 
		
		$instance['category'] 		= strip_tags($new_instance['category']);
		
		$instance['columnset'] 		= intval($new_instance['columnset']);

		$instance['see_all'] 		= esc_url_raw( $new_instance['see_all'] );	

		$instance['see_all_text'] 	= esc_html($new_instance['see_all_text']); 

		    			

		$this->flush_widget_cache();



		$alloptions = wp_cache_get( 'alloptions', 'options' );

		if ( isset($alloptions['mt_services']) )

			delete_option('mt_services');		  

		  

		return $instance;

	}

	

	function flush_widget_cache() {

		wp_cache_delete('mt_services', 'widget');

	}

	

	// display widget

	function widget($args, $instance) {

		$cache = array();

		if ( ! $this->is_preview() ) {

			$cache = wp_cache_get( 'mt_services', 'widget' );

		}



		if ( ! is_array( $cache ) ) {

			$cache = array();

		}



		if ( ! isset( $args['widget_id'] ) ) {

			$args['widget_id'] = $this->id;

		}



		if ( isset( $cache[ $args['widget_id'] ] ) ) {

			echo $cache[ $args['widget_id'] ];

			return;

		}



		ob_start();

		extract($args);



		/** This filter is documented in wp-includes/default-widgets.php */

		
		$title = isset( $instance['title'] ) ? wp_kses_post($instance['title']) : ''; 

		$see_all = isset( $instance['see_all'] ) ? esc_url($instance['see_all']) : '';

		$see_all_text = isset( $instance['see_all_text'] ) ? esc_html($instance['see_all_text']) : '';
		
		$category 		= isset( $instance['category'] ) ? esc_html($instance['category']) : '';		

		$number = ( ! empty( $instance['number'] ) ) ? intval( $instance['number'] ) : -1;

		if ( ! $number )

			$number = -1;
			
		$columnset 		= ( ! empty( $instance['columnset'] ) ) ? intval( $instance['columnset'] ) : 3;
		
		if ( ! $columnset ) {

			$columnset = 3;

		}



		$mt = new WP_Query( apply_filters( 'widget_posts_args', array(

			'no_found_rows'       => true,

			'post_status'         => 'publish',

			'post_type' 		  => 'service',
			
			'category_name'       => $category, 

			'posts_per_page'	  => $number, 	

		) ) );



		if ($mt->have_posts()) :

?>
			
            <section id="mt-services">
            
            
            <?php if ( $title ) : ?>
            
				<div class="grid grid-pad">
        			<div class="col-1-1">
						<?php echo $before_title . $title . $after_title; ?>
                	</div>
        		</div>
                
            <?php endif; ?> 
   
    	
        	<div class="grid grid-pad">

				<?php while ( $mt->have_posts() ) : $mt->the_post(); ?>
                
                
                	<div class="col-1-<?php if ( $columnset ) echo $columnset; ?> mt-column-clear"> 
    					<div class="service-content">
                        
                        <i class="fa fa-<?php global $post; $text = get_post_meta( get_the_ID(), 'mt_services_icon', true ); echo $text; ?>"></i> 
                		<?php the_title( '<h5>', '</h5>' ); ?>
                    	<?php the_content( '<p>', '</p>' ); ?> 
                             
  						</div>
					</div><!-- col-1-3 -->


				<?php endwhile; ?> 

			</div> 

			<?php if ($see_all != '') : ?>

				<a href="<?php echo esc_url( $see_all ); ?>" class="featured-link"> 

					<?php if ($see_all_text) : ?>

						<button><?php echo esc_html( $see_all_text ); ?></button>

					<?php else : ?>

						<button><?php echo __('See All', 'mtservices'); ?></button>

					<?php endif; ?>

				</a>

			<?php endif; ?>
            
            
            </section>
	

	<?php

		// Reset the global $the_post as this query will have stomped on it

		wp_reset_postdata();



		endif;



		if ( ! $this->is_preview() ) {

			$cache[ $args['widget_id'] ] = ob_get_flush(); 

			wp_cache_set( 'mt_services', $cache, 'widget' ); 

		} else {

			ob_end_flush(); 

		}

	}

	

}