<?php
/*
Plugin Name: Services by ModernThemes
Plugin URI: http://modernthemes.net/plugins/services
Description: This is a plugin by ModernThemes that adds Services post types and widgets.
Version: 1.1.3
Author: ModernThemes
Author URI: http://modernthemes.net/
License: GPL2
Text Domain: mtservices 
Domain Path: /languages/
*/


require 'plugin-updates/plugin-update-checker.php';  
$MyUpdateChecker = PucFactory::buildUpdateChecker(
'http://modernthemes.net/updates/?action=get_metadata&slug=mt_services', //Metadata URL.
__FILE__, //Full path to the main plugin file. 
'mt_services' //Plugin slug 
);


add_action('admin_init', 'mt_servicessettings_flush' );

function mt_servicessettings_flush(){  

		if ( isset( $_POST['mt_servicessettings_options'] ) ) {


			flush_rewrite_rules();
		
		} 

}

/* Paths for Files */
$mt_services_main_file = dirname(__FILE__).'/services-by-mt.php';
$mt_services_directory = plugin_dir_url($mt_services_main_file);
$mt_services_path = dirname(__FILE__);

/* Add css and scripts file */ 
function mt_services_add_scripts() {
	global $mt_services_directory, $mt_services_path; 
		wp_enqueue_style('mt-services-style', $mt_services_directory.'css/grid.css'); 
}

add_action('wp_enqueue_scripts', 'mt_services_add_scripts'); 


class MT_Services_Widgets {
	public function __construct() {
		add_action( 'widgets_init', array( $this, 'load' ), 9 );
		add_action( 'widgets_init', array( $this, 'init' ), 10 );
		register_uninstall_hook( __FILE__, array( __CLASS__, 'uninstall' ) ); 
	}

	public function load() {
		$dir = plugin_dir_path( __FILE__ );

		include_once( $dir . 'inc/widget-mt-services.php' );
		include_once( $dir . 'inc/mt-services.php' ); 
		include_once( $dir . 'inc/shortcodes-mt-services.php' );
		
		
	}

	public function init() {
		if ( ! is_blog_installed() ) {
			return;
		}

		load_plugin_textdomain( 'mtservices', false, 'mt_services/languages' );
		
		register_widget( 'mt_services' ); 
		
	}

	public function uninstall() {}
}

$mt_services_widgets = new MT_Services_Widgets();